Support » Plugin: WooCommerce Multilingual - run WooCommerce with WPML » Newest update broke all pages

Viewing 15 replies - 1 through 15 (of 18 total)
  • Plugin Author Mihai Grigori

    (@mihaimihai)

    @jzhu5 please try to re-install the plugin first by downloading the zip file again.
    https://downloads.wordpress.org/plugin/woocommerce-multilingual.4.0.0.zip

    If you need help with that, please open a ticket on http://wpml.org [ redacted ]

    If you re-install and the problem is still there turn on the WP debug mode and check the errors log

    Add this to wp-config.php

    // Turn debugging on
    define('WP_DEBUG', true);
    
    // Tell WordPress to log everything to /wp-content/debug.log
    define('WP_DEBUG_LOG', true);
    
    // Turn off the display of error messages on your site
    define('WP_DEBUG_DISPLAY', false);
    
    // For good measure, you can also add the follow code, which will hide errors from being displayed on-screen
    @ini_set('display_errors', 0);
    • This reply was modified 1 year, 8 months ago by  Jan Dembowski.

    Same situation.

    Thank you, @mihaimihai.

    This is what I’ve got in debug.log:

    [08-Dec-2016 12:22:01 UTC] PHP Parse error: syntax error, unexpected '[' in .../wp-content/plugins/woocommerce-multilingual/inc/currencies/exchange-rate-services/class-wcml-exchange-rates-yahoo-finance.php on line 52

    After I quoted the following piece of code, the website got back working properly (at least for now, haven’t found any other errors yet):

    // Exception: sometimes it returns N/A
    if( substr( $line, 0, 3) === 'N/A' ){
        $to = array_values( $tos )[$k]; // This line is #52, where the error happens
        $rate   = trim( substr( $line, 4 ) );
    }else{
        $to     = substr( $line, 1, 3);
        $rate   = trim( substr( $line, 6 ) );
    }
    Plugin Author Mihai Grigori

    (@mihaimihai)

    It looks like you’re using a really old version of PHP (5.2)

    We are aware of this situation and, even if we don’t really support this PHP version, we’re adding a fix and release it today or tomorrow.

    In the meantime, you can edit the code manually and change

    $to = array_values( $tos )[$k];

    to

    
    $values = array_values( $tos );
    $to = $values[$k];
    

    @mihaimihai
    Yes, unfortunately, the current version PHP is 5.3 in my case.

    Thank you very much for the hotfix!

    Plugin Author Mihai Grigori

    (@mihaimihai)

    I meant 5.3, sorry 🙂

    The minimum required version is 5.6 actually: https://wordpress.org/plugins/woocommerce-multilingual/installation/

    @mihaimihai

    Thank you for the reply but I run on wordpress. When I type in logins, even the dashboard and backoffice can not be entered, it always says can not be reached which is why I am having trouble fixing this…

    Does this mean there is no way of fixing it and the website is doomed and I have to start all over? Even if you run an update, I can’t go in backoffice and update it. Please help me find a solution. Everything is blank on my page right now because of the fatal error.

    Thanks

    @mihaimihai

    Nvm, I did a backup of the website for a few days back and it is fixed. Thank you!

    Plugin Author Mihai Grigori

    (@mihaimihai)

    @jzhu5 You should have FTP or SFTP access or some way to access the files. Where is your site hosted? What do you mean you run on wordpress?

    Plugin Author Mihai Grigori

    (@mihaimihai)

    @jzhu5 You mean you also reinstalled WooCommerce Multilingual 4.0 and it works?

    @mihaimihai

    Hey I just reached data back from a few days ago to restore my site. I just tried updating the most recent plugin WooCommerce Multilingual 4.05 and it still broke my website. The same problems persist. Do you know how to fix it? RIght now I ran the data back to yesterday’s website version so everything is functioning but a solution should exist or else I won’t have multilingual on my site anymore.

    My website is http://www.swjoyoflife.com

    Thank you!

    Plugin Author Mihai Grigori

    (@mihaimihai)

    @jzhu5

    * What version exactly are you upgrading to? Is it 4.0.3?
    * Can you please tell me what error you’re getting

    The same error as before, can not log into wordpress back office dashboard and make other changes. Most of the content on the main websites do not show and would look blank, also the top bar should be the wordpress dashboard tool bar but it would be blank too. I tried 4.0.3.

    Plugin Author Mihai Grigori

    (@mihaimihai)

    @jzhu5 please open a ticket on https://wpml.org/forums/forum/english-support about this. Add the link here then.

    [ redacted, please do not make that access request in these forums. ]

    • This reply was modified 1 year, 8 months ago by  Jan Dembowski.
    • This reply was modified 1 year, 8 months ago by  Jan Dembowski.
    Moderator Jan Dembowski

    (@jdembowski)

    Brute Squad and Volunteer Moderator

    Side note and very much off topic: @mihaimihai Please do not make reference to asking for access to users installations in these forums.

    https://codex.wordpress.org/Forum_Welcome#The_Bad_Stuff

    I have no problem with you directing users to your own site. What occurs there isn’t up to me. But in these forums please refrain from that, OK?

    Plugin Author Mihai Grigori

    (@mihaimihai)

    Gotcha @jdembowski! But I think you may have misunderstood my message. Or perhaps I wasn’t clear. I was suggesting @jzhu5 to open a ticket on that forum as a way for passing that information.

    In case this is what you mean by ‘reference’, then OK.

Viewing 15 replies - 1 through 15 (of 18 total)
  • The topic ‘Newest update broke all pages’ is closed to new replies.